Custody providers
Create New Anchorage Custody Wallet
Creates named wallets in the org's Anchorage vault, stores them as custody wallets, then syncs Anchorage metadata.
POSThttps://api.toku.com/stablecoin-payroll/create-new-anchorage-custody-wallet
Not available to API keys yet. It will need wallets:write.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/create-new-anchorage-custody-wallet' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"walletNames": [
"string"
]
}'200 response
{
"success": true,
"wallets": [
{
"custodyWalletID": "string",
"custodyProviderID": "string",
"orgID": "string",
"walletLink": "string",
"walletAddress": "string",
"walletName": "string",
"networkType": "string",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string",
"balanceAmount": "string",
"balanceUpdatedAt": "string",
"gasBalance": "string",
"gasBalanceUpdatedAt": "string",
"updatingBalance": true,
"legacyMigratedAt": "string",
"legacyModelID": "string",
"parentCustodyWalletID": "string"
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
walletNamesstring[]requiredAllowed: at least 1 items
Response
200Successful response
successbooleanrequiredwalletsobject[]requiredShow child attributes
custodyWalletIDstringrequiredcustodyProviderIDstringrequiredorgIDstringrequiredwalletLinkstring | nullrequiredwalletAddressstringrequiredwalletNamestringrequirednetworkTypestringrequiredcreatedAtstringrequiredupdatedAtstringrequireddeletedAtstring | nullrequiredbalanceAmountstring | nullrequiredbalanceUpdatedAtstring | nullrequiredgasBalancestring | nullrequiredgasBalanceUpdatedAtstring | nullrequiredupdatingBalanceboolean | nullrequiredlegacyMigratedAtstring | nullrequiredlegacyModelIDstring | nullrequiredparentCustodyWalletIDstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits